-- 基础信息
base_info = {
	group_id = 235871001
}

-- Trigger变量
defs = {
	gadget_teleport = 1003,
	gadget_bricks = 1002,
	gadget_airWall = 1004,
	isDungeon = 1,
	gadget_envLamp = 1006
}

-- DEFS_MISCS
defs.envWeather =
{
        [1]=10169,
        [2]=10170,
        [3]=10171
}

--================================================================
--
-- 配置
--
--================================================================

-- 怪物
monsters = {
}

-- NPC
npcs = {
}

-- 装置
gadgets = {
	-- (临时占位)
	{ config_id = 1001, gadget_id = 70290721, pos = { x = 28.835, y = 3.027, z = 89.022 }, rot = { x = 0.000, y = 180.000, z = 0.000 }, level = 1, state = GadgetState.GearStart },
	-- boss2-海乱鬼
	{ config_id = 1002, gadget_id = 70290704, pos = { x = 32.390, y = 3.938, z = 102.552 }, rot = { x = 0.000, y = 0.000, z = 0.000 }, level = 1 },
	{ config_id = 1003, gadget_id = 70290726, pos = { x = 29.406, y = 2.999, z = 89.003 }, rot = { x = 0.000, y = 0.000, z = 0.000 }, level = 1 },
	{ config_id = 1004, gadget_id = 70290722, pos = { x = 32.309, y = 3.938, z = 102.621 }, rot = { x = 0.000, y = 0.000, z = 0.000 }, level = 1 },
	{ config_id = 1006, gadget_id = 70290666, pos = { x = 32.000, y = 4.000, z = 102.000 }, rot = { x = 0.000, y = 0.000, z = 0.000 }, level = 1 }
}

-- 区域
regions = {
}

-- 触发器
triggers = {
}

-- 点位
points = {
	-- 传入点
	{ config_id = 1005, pos = { x = 32.173, y = 4.000, z = 95.000 }, rot = { x = 0.000, y = 0.000, z = 0.000 } }
}

-- 变量
variables = {
}

--================================================================
--
-- 初始化配置
--
--================================================================

-- 初始化时创建
init_config = {
	suite = 1,
	end_suite = 0,
	rand_suite = false
}

--================================================================
--
-- 小组配置
--
--================================================================

suites = {
	{
		-- suite_id = 1,
		-- description = ,
		monsters = { },
		gadgets = { 1001, 1006 },
		regions = { },
		triggers = { },
		rand_weight = 100
	}
}

--================================================================
--
-- 触发器
--
--================================================================

require "V3_3/BrickBreaker"
